<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content="Spring WebFlux Workshop"/>
    <meta name="author" content="Violeta Georgieva and Brian Clozel"/>
    <title>Spring Trading application</title>
    <link rel="stylesheet" href="/webjars/bootstrap/3.3.7/css/bootstrap-theme.min.css"/>
    <link rel="stylesheet" href="/webjars/bootstrap/3.3.7/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="/webjars/highcharts/5.0.8/css/highcharts.css"/>
</head>
<body>
<div class="container wrapper">
    <div id="chart" style="height: 400px; min-width: 310px"></div>
</div>
<script type="text/javascript" src="/webjars/jquery/1.11.1/jquery.min.js"></script>
<script type="text/javascript" src="/webjars/highcharts/5.0.8/highcharts.js"></script>
<script type="text/javascript" src="/webjars/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script type="text/javascript">

    // Setting up the chart
    var chart = new Highcharts.chart('chart', {
        title: {
            text: 'Block time'
        },

        series: [{
            data: []
        }]
    });


     $.ajax({
        url: '/blocks',
        success: function(data) {
            var series = chart.series[0],
            shift = series.data.length > 10; // shift if the series is
                                                 // longer than 20

            var blocks =data.map(function (item) { return [item.blockId, item.blockTime] });
            chart.series[0].setData(blocks, true);
            <!--chart.series[0].addPoint(blocks, true, false);-->
            <!--$.each(data, function(idx, block) {-->
            <!--});-->


            // call it again after ten second
            <!--setTimeout(requestData, 10000);-->
        },
        cache: false
    });
</script>
</body>
</html>